﻿@using GMPA.Core.Models.Umbraco;
@model List<GMPA.Core.Models.Umbraco.Country>

@{
    Dictionary<Country, string> countries = new Dictionary<Country, string>();

    foreach (var country in Model)
    {
        countries.Add(country, country.Continent.First());
    }
}

<h4 class="country-divider" data-bs-toggle="collapse" data-bs-target="#collapseContinents" aria-expanded="true" aria-controls="collapseContinents">Countries</h4>
<ul class="countries-list show" id="collapseContinents">
    <!-- #region Africa-->
    <li class="country-divider" data-bs-toggle="collapse" data-bs-target="#collapseAfrica" aria-expanded="true" aria-controls="collapseAfrica">
        <b>Africa</b>
    </li>

    @foreach (var country in countries)
    {
        var countryItem = country.Key;
        var countryContinent = country.Value;

        @if (countryContinent == "Africa")
        {
            @if (countryItem.Active.First() == "True")
            {
                <li class="countries-list-item-active show" id="collapseAfrica">
                    <a href="@countryItem.Url()" class="countries-link-active">
                        <span class="side-nav-list-item-text">
                            @countryItem.Name
                        </span>
                    </a>
                </li>
            }
            else
            {
                <li class="countries-list-item-disabled show" id="collapseAfrica">
                    <span class="side-nav-list-item-text">
                        @countryItem.Name
                    </span>
                </li>
            }

            countries.Remove(countryItem);
        }
    }
    <!-- #endregion -->
    <!-- #region Asia-->
    <li class="country-divider" data-bs-toggle="collapse" data-bs-target="#collapseAsia" aria-expanded="true" aria-controls="collapseAsia">
        <b>Asia</b>
    </li>

    @foreach (var country in countries)
    {
        var countryItem = country.Key;
        var countryContinent = country.Value;

        @if (countryContinent == "Asia")
        {
            @if (countryItem.Active.First() == "True")
            {
                <li class="countries-list-item-active show" id="collapseAsia">
                    <a href="@countryItem.Url()" class="countries-link-active">
                        <span class="side-nav-list-item-text">
                            @countryItem.Name
                        </span>
                    </a>
                </li>
            }
            else
            {
                <li class="countries-list-item-disabled show" id="collapseAsia">
                    <span class="side-nav-list-item-text">
                        @countryItem.Name
                    </span>
                </li>
            }

            countries.Remove(countryItem);
        }
    }
    <!-- #endregion -->
    <!-- #region Europe-->
    <li class="country-divider" data-bs-toggle="collapse" data-bs-target="#collapseEurope" aria-expanded="true" aria-controls="collapseEurope">
        <b>Europe</b>
    </li>

    @foreach (var country in countries)
    {
        var countryItem = country.Key;
        var countryContinent = country.Value;

        @if (countryContinent == "Europe")
        {
            @if (countryItem.Active.First() == "True")
            {
                <li class="countries-list-item-active show" id="collapseEurope">
                    <a href="@countryItem.Url()" class="countries-link-active">
                        <span class="side-nav-list-item-text">
                            @countryItem.Name
                        </span>
                    </a>
                </li>
            }
            else
            {
                <li class="countries-list-item-disabled show" id="collapseEurope">
                    <span class="side-nav-list-item-text">
                        @countryItem.Name
                    </span>
                </li>
            }

            countries.Remove(countryItem);
        }
    }
    <!-- #endregion -->
    <!-- #region North America-->
    <li class="country-divider" data-bs-toggle="collapse" data-bs-target="#collapseNorthAmerica" aria-expanded="true" aria-controls="collapseNorthAmerica">
        <b>North America</b>
    </li>

    @foreach (var country in countries)
    {
        var countryItem = country.Key;
        var countryContinent = country.Value;

        @if (countryContinent == "North America")
        {
            @if (countryItem.Active.First() == "True")
            {
                <li class="countries-list-item-active show" id="collapseNorthAmerica">
                    <a href="@countryItem.Url()" class="countries-link-active">
                        <span class="side-nav-list-item-text">
                            @countryItem.Name
                        </span>
                    </a>
                </li>
            }
            else
            {
                <li class="countries-list-item-disabled show" id="collapseNorthAmerica">
                    <span class="side-nav-list-item-text">
                        @countryItem.Name
                    </span>
                </li>
            }

            countries.Remove(countryItem);
        }
    }
    <!-- #endregion -->
    <!-- #region Oceania-->
    <li class="country-divider" data-bs-toggle="collapse" data-bs-target="#collapseOceania" aria-expanded="true" aria-controls="collapseOceania">
        <b>Oceania</b>
    </li>

    @foreach (var country in countries)
    {
        var countryItem = country.Key;
        var countryContinent = country.Value;

        @if (countryContinent == "Oceania")
        {
            @if (countryItem.Active.First() == "True")
            {
                <li class="countries-list-item-active show" id="collapseOceania">
                    <a href="@countryItem.Url()" class="countries-link-active">
                        <span class="side-nav-list-item-text">
                            @countryItem.Name
                        </span>
                    </a>
                </li>
            }
            else
            {
                <li class="countries-list-item-disabled show" id="collapseOceania">
                    <span class="side-nav-list-item-text">
                        @countryItem.Name
                    </span>
                </li>
            }

            countries.Remove(countryItem);
        }
    }
    <!-- #endregion -->
    <!-- #region South America-->
    <li class="country-divider" data-bs-toggle="collapse" data-bs-target="#collapseSouthAmerica" aria-expanded="true" aria-controls="collapseSouthAmerica">
        <b>South America</b>
    </li>

    @foreach (var country in countries)
    {
        var countryItem = country.Key;
        var countryContinent = country.Value;

        @if (countryContinent == "South America")
        {
            @if (countryItem.Active.First() == "True")
            {
                <li class="countries-list-item-active show" id="collapseSouthAmerica">
                    <a href="@countryItem.Url()" class="countries-link-active">
                        <span class="side-nav-list-item-text">
                            @countryItem.Name
                        </span>
                    </a>
                </li>
            }
            else
            {
                <li class="countries-list-item-disabled show" id="collapseSouthAmerica">
                    <span class="side-nav-list-item-text">
                        @countryItem.Name
                    </span>
                </li>
            }

            countries.Remove(countryItem);
        }
    }
    <!-- #endregion -->
</ul>